#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.8
visibility:           public
id:                   hOpenPGP-2.9.8-C4aS2y6O2c9tDQUabWnHV
key:                  hOpenPGP-2.9.8-C4aS2y6O2c9tDQUabWnHV
license:              MIT
copyright:            2012-2022  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  94617f43318f0f0be972737a6859afc0
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hOpenPGP-2.9.8
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hOpenPGP-2.9.8
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hopenpgp
hs-libraries:         HShOpenPGP-2.9.8-C4aS2y6O2c9tDQUabWnHV
depends:
    aeson-2.1.2.1-7PAgiODdTr9Ups5Xz74Et
    asn1-encoding-0.9.6-BeVbxMXOe2TBfUIfZtJTtM
    attoparsec-0.14.4-8413jM82KqU9TuMP1L2X5o base-4.16.4.0
    base16-bytestring-1.0.2.0-8EuMhitx6g43ccWyjeqyBD
    bifunctors-5.6-G25OvO2tzKhDKb0nr94MnT binary-0.8.9.0
    binary-conduit-1.3.1-C0pk5skMczN3SDkWgFMJ5S bytestring-0.11.4.0
    bz2-1.0.1.1-JdlvtZFvzDFzrxkIO1Fx0
    conduit-1.3.6-1BhOn1SDKnVBv1fBjDYtBV
    conduit-extra-1.3.6-DCkmdbkmwvILqUcJYhjeKT containers-0.6.5.1
    crypto-cipher-types-0.0.9-JlEUy6YMnlQJGxVQmgyp8z
    cryptonite-0.30-4xQjhhlsgW3B20Q0YYmU1N
    errors-2.3.0-37X0V8utazfEIRLPgl31pj
    hashable-1.4.4.0-ICSz42nbRK83wekmmcsSsd
    incremental-parser-0.5.1-4ZiLe0YPwcHBdEj0gBSmby
    ixset-typed-0.5.1.0-AsIBntmJ7weDSLet2d84JT
    lens-5.2.3-GRs4U9On1e2FVZcK8uMpJU
    memory-0.18.0-Hvum6HaH78UJG59LYyNLK1
    monad-loops-0.4.3-1PoLx7GFY2f6JjKzBe0o6E
    nettle-0.3.1.1-L3xnVJ00D4a5M1YFOenxXQ
    network-uri-2.6.4.2-6OUT6HkeYIA58Yw1tpuuwi
    openpgp-asciiarmor-0.1.2-7g0nohJ8WH4D2wOyCgHXeQ
    prettyprinter-1.7.1-9scaoayiDWFEoKqzwAD6L2
    resourcet-1.2.6-9CsxvojX9YdCtgYTjkBzql
    split-0.2.5-CGiksqiAgb85izdAelMGRD text-1.2.5.0 time-1.11.1.1
    time-locale-compat-0.1.1.5-LoE3V3We7KBAnFwKjT98C2
    transformers-0.5.6.2 unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-3Feu7z7nwlQLAsn5Kud3bc
    zlib-0.6.3.0-9ITn2IXiykc6MhrqDHau31

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

